using System;

namespace Server.Items
{
	public class GrobusFur : Item
	{
		public override int LabelNumber{ get{ return 1074676; } } // Grobu's Fur

        [Constructable]
        public GrobusFur() : this(false)
        {
        }

        [Constructable]
		public GrobusFur(bool fetish) : base( 0x11F4 )
		{
			LootType = LootType.Blessed;
			Weight = 1.0;
			Hue = 0x455;

            if (fetish)
            {
                LootType = LootType.Cursed;
                Name = "Orcish Fetish";
                Hue = 1400;
                ItemID = 9646;
            }
        }

		public GrobusFur( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
}

